Subject: bug#66249: Building for armv7 fails

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 03 Oct 2023 22:14:47 -0400

Hello,

Sébastien Lerique <[email-masked]> writes:

> retitle 66249 Building rust-1.54 fails on armv7

As you've found out, this is something that has to do with building rust
on that architecture, more precisely building 'mrustc', which is used in
Guix to boostrap rust.  The upstream issue would be this one I think:
<https://github.com/thepowersgang/mrustc/issues/78>.  It's about GCC
requiring more memory than 32 bit can address but the author mentioned a
2 GiB or something limit, I'm not sure what that is attributable to.

If you want to solve this I'd recommend you get in touch with the mrustc
author!  There is a #mrustc channel on Libera.chat IRC, as far as I
recall.

-- 
Thanks,
Maxim